Subject: bug#46513: closed (Re: [bug#46513] [PATCH 0/6] Add Agate Gemini server.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Feb 2021 12:43:02 +0000

Your bug report

#46513: [PATCH 0/6] Add Agate Gemini server.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46513: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46513
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#46513] [PATCH 0/6] Add Agate Gemini server.
From: Nicolas Goaziou <[email-masked]>
To: Alexandru-Sergiu Marton <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Feb 2021 13:42:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Alexandru-Sergiu Marton <[email-masked]> writes:

> These patches add the package for the Agate server for the Gemini protocol as
> well as a service and a little documentation in the manual regarding the
> configuration of the service.
>
> Alexandru-Sergiu Marton (6):
>   gnu: Add rust-rustls-0.19.
>   gnu: rust-tokio-macros-1: Update to 1.1.0.
>   gnu: rust-tokio-1: Update to 1.2.0.
>   gnu: Add rust-tokio-rustls-0.22.
>   gnu: Add agate.
>   services: Add agate web service.

Thank you!

I applied the patches with the modifications below:

- When adding new version of an existing Rust crate, I made the latter
  inherit from the former.

- I updated agate to 2.5.2, and changed the home-page into an HTTP one
  (i.e., the repository) for practical reasons.

- I fixed typos and wording in the documentation (two spaces after full
  stops, "the path of the file" -> "the file", @var -> @file or @code).

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/6] Add Agate Gemini server.
From: Alexandru-Sergiu Marton <[email-masked]>
To: [email-masked]
Cc: Alexandru-Sergiu Marton <[email-masked]>
Date: Sun, 14 Feb 2021 20:51:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

These patches add the package for the Agate server for the Gemini protocol as
well as a service and a little documentation in the manual regarding the
configuration of the service.

Alexandru-Sergiu Marton (6):
  gnu: Add rust-rustls-0.19.
  gnu: rust-tokio-macros-1: Update to 1.1.0.
  gnu: rust-tokio-1: Update to 1.2.0.
  gnu: Add rust-tokio-rustls-0.22.
  gnu: Add agate.
  services: Add agate web service.

 doc/guix.texi              |  89 ++++++++++++++++++++++++++++-
 gnu/packages/crates-io.scm |  83 ++++++++++++++++++++++-----
 gnu/packages/rust-apps.scm |  38 +++++++++++++
 gnu/services/web.scm       | 112 ++++++++++++++++++++++++++++++++++++-
 4 files changed, 304 insertions(+), 18 deletions(-)

-- 
2.30.0